﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinChart;
using Infragistics.Excel;
using System.IO;

using System.Diagnostics;
using System.Drawing;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            MemoryStream ms = new MemoryStream();
            UltraChart uc = new UltraChart();
            uc.Data.DataSource = Infragistics.UltraChart.Data.DemoTable.Table(0);
            uc.Data.DataBind();
            Workbook wb = new Workbook();
            Worksheet ws = wb.Worksheets.Add("worksheet1");
            uc.SaveTo(ms, Infragistics.UltraChart.Shared.Styles.RenderingType.Image);
            WorksheetImage wsi = new WorksheetImage(System.Drawing.Image.FromStream(ms));
            wsi.SetBoundsInTwips(ws, new Rectangle(0, 0, 6000, 6000), false);
            //wsi.TopLeftCornerCell = ws.Rows[0].Cells[0];
            //wsi.BottomRightCornerCell = ws.Rows[2].Cells[5];
            wsi.PositioningMode = ShapePositioningMode.DontMoveOrSizeWithCells;
            ws.Shapes.Add(wsi);
            wb.Save("myexcel.xls");
            Process.Start("myexcel.xls");
        }
    }
}
